import type { ResultSet } from "./DB";
import DB from "./DB";

export default class Repository {
  public database: string;
  public table: string;
  public primaryKey?: string

  constructor(database: string, table: string, primaryKey = "id") {
    this.database = database;
    this.table = table;
    this.primaryKey = primaryKey;
  }

  async executeSql(
    sql: string, 
    params: any[] = []
  ): Promise<ResultSet> {
    const db = DB.get(this.database);
    await db.open();
    return await db.executeSql(sql, params);
  }
}